# Porridger

Food and other stuff sharing platform. The service was developed during Digital Students hackathon by "Полка Billy" team.

Members:

* Dmitry Gantimurov - Chief Backend
* Dmitriy Shishkov - Frontend & Interface Design
* Vladimir Yakovlev - Backend & Graphical Design

## Dev build instructions

Frontend:

```sh
cd front

npm i

npm run dev
```

Backend:

```sh
pip install -r requirements.txt

python -m back.main
```

## Deploy instructions

Only docker/podman are required

```sh
docker build . -t porridger:build

docker run --name porridger -p 8000:8000 -v ./sql_app.db:/srv/sql_app.db -v ./poems.txt:/srv/poems.txt -v ./poem_pic:/srv/poem_pic -v uploads:/srv/uploads porridger:build
```
